TryTree (Java SE 26 & JDK 26)
Description: declaration: module: jdk.compiler, package: com.sun.source.tree, interface: TryTree
Keywords: com.sun.source.tree.TryTree interface

# Interface TryTree

All Superinterfaces:
  `StatementTree, Tree`

public interface TryTree extends StatementTree
A tree node for a `try` statement. For example:

      try
          block
      catches
      finally
          finallyBlock

See Java Language Specification:
  14.20 The try statement
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`
  Modifier and Type
  Interface
  Description
  `static enum`
  `Tree.Kind`
  Enumerates all kinds of trees.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlockTree`
  `getBlock()`
  Returns the block of the `try` statement.
  `List<? extends CatchTree>`
  `getCatches()`
  Returns any catch blocks provided in the `try` statement.
  `BlockTree`
  `getFinallyBlock()`
  Returns the finally block provided in the `try` statement, or `null` if there is none.
  `List<? extends Tree>`
  `getResources()`
  Returns any resource declarations provided in the `try` statement.

  ### Methods declared in interface Tree

  `accept, getKind`
  Modifier and Type
  Method
  Description
  `<R,D> R`
  `accept(TreeVisitor<R,D> visitor, D data)`
  Accept method used to implement the visitor pattern.
  `Tree.Kind`
  `getKind()`
  Returns the kind of this tree.

- ## Method Details

  - ### getBlock

    BlockTree getBlock()
    Returns the block of the `try` statement.
    Returns:
      the block

  - ### getCatches

    List<? extends CatchTree> getCatches()
    Returns any catch blocks provided in the `try` statement. The result will be an empty list if there are no catch blocks.
    Returns:
      the catch blocks

  - ### getFinallyBlock

    BlockTree getFinallyBlock()
    Returns the finally block provided in the `try` statement, or `null` if there is none.
    Returns:
      the finally block

  - ### getResources

    List<? extends Tree> getResources()
    Returns any resource declarations provided in the `try` statement. The result will be an empty list if there are no resource declarations.
    Returns:
      the resource declarations